If you think a bug might affect users in the 57 release, please set the correct tracking and status flags for Release Management.

Fehler 999 (REBOOT_NEEDED) bei Installation des Sprachpaketes de-AT

VERIFIED FIXED

Status

Mozilla Localizations
de / German
VERIFIED FIXED
16 years ago
16 years ago

People

(Reporter: Frank Holldorff, Assigned: Robert Kaiser)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

16 years ago
From Bugzilla Helper German:

proposed Product: Browser+Localizations
proposed Component: German-Austria/de-AT

User-Agent: Mozilla/5.0 (Windows; U; Win98; de-AT; rv:0.9.5) Gecko/20011011
BuildID:    0.9.5 - 2001101117

Der Download wird ordnungsgemäß gestartet und wen dann die Installation beginnt,
wird kurz drauf 'Installation failed. Error Code 999' angezeigt.

Reproducible: Always
Steps to Reproduce:
1. Link zum Downlaod anwählen
2. Download starten
3. abwarten

Actual Results:  Die Installation wird ausgeführt und kurz drauf bekoomt die
Meldung 'Installation failed. Error Code 999'

Expected Results:  Das die Installation Ordnungsgemäß abläuft und korrekt
beednet wird.

Comment 1

16 years ago
Wollte gerade das Selbe berichten. Latest nightly fails mit dem letzten Language
pack
Status: UNCONFIRMED → NEW
Ever confirmed: true
(Assignee)

Comment 2

16 years ago
Ich hatte einige Berichte, dass es bei 0.9.5 mit dem Download selbst schon
Probleme gab. Ich habe jetzt die mozilla.org URLs auch auf die Download-Seite
gestellt, dort sollte der Download besser gehen.

Frank: Ich sehe allerdings, du hast den Bug mit einer laufenden 0.9.5 de-AT
Installation berichtet - Welchen Link hast du genau geklickt? Mit welcher
Mozilla Version (Build ID?)

Sebastian: Hast du auch den Error Code 999? Dieser Error Code ist in
http://lxr.mozilla.org/seamonkey/source/xpinstall/src/nsInstall.h#188 beschrieben:
REBOOT_NEEDED               = 999,

Ich denke, im Falle dieses Fehlers sollte ich einen Warndialog anzeigen, der
über einen benötigten Reboot berichtet...

Lasse dafür den Bug Report offen. ASSIGNED.
Status: NEW → ASSIGNED
Summary: Installation des Sprachpaketes de-AT nicht möglich. Zeigt Fehler 999 an → Fehler 999 (REBOOT_NEEDED) bei Installation des Sprachpaketes de-AT

Comment 3

16 years ago
Ja, ich hatte genau die gleiche Fehlermeldung (und habe Nightlies der letzten
drei Tage ausprobiert), die .xpi Version die Du davor hattest konnte ich noch
problemlos installieren. Ich  glaube auch nicht, dass es nur an einem fehlenden
Reboot gelegen hat, da meiner Meinung nach die Installation wirklich misslungen
ist (fixed bugs waren immer noch vorhanden). Falls es sich wirklich nur um eine
Warnung handelt, sollten wir tatsächlich eine ausführlichere Meldung anzeigen.
(Assignee)

Comment 4

16 years ago
Die Bezeichnung "REBOOT_NEEDED" sagt mir zumindest, dass dies eine Warnung sein
soll, dass ein Reboot notwendig sei, auch die Nummer unterscheidet sich deutlich
von den anderen "echten" Fehlermeldungen, die eine negative Nummer haben.

Ich habe für das neueste Nightly Pack mal eine entsprechende Behandlung
eingebaut.  Ich hoffe, es funktioniert...

Wenn dem so ist, dann FIXED.

Bitte REOPEN, wenn das aktuelle Pack (2001-10-18-10) nicht funktioniert.
Status: ASSIGNED → RESOLVED
Last Resolved: 16 years ago
Resolution: --- → FIXED

Comment 5

16 years ago
Reopening,

a) ich hatte vorher ein älteres de-AT Language Pack installiert
("Komponentleitse"), mozilla nightly 10-17 und aktiv
b) Download des letzten language packs: Englischer Text, dass ein Reboot nötig
wäre popped up. Warum auf Englisch, wenn Leute die dieses languaga pack
herunterladen sich mit Deutsch sowieso wohler fühlen? Ich würde die Meldung
eindeutschen.
c) reboot (oder ist damit nur ein Mozilla Neustart gemeint?)
d) Immer noch deutsche Version ("Komponentleitse")

Entweder ist dieser Bug nicht gefixed oder meine Installation ist mislungen.
Status: RESOLVED → REOPENED
Resolution: FIXED → ---
(Assignee)

Comment 6

16 years ago
Hast du den Quick Launch laufen?
(Reporter)

Comment 7

16 years ago
JA, ich habe den uicklaunch laufen.
(Assignee)

Comment 8

16 years ago
OK, bis ich draufkomme, wie man dem beikommen kann, gilt folgender Workaround:
1) Quick Launch deaktivieren
2) de-AT Pack installieren
3) Quick Launch wieder aktivieren

Werd mal schauen, was es da hat. Da ich allerdings Windows fast bis gar nicht
nutze, kann ich leider fast nicht mir Quick Launch experimentieren :(
(Assignee)

Comment 9

16 years ago
Ich hab's mit ein bissl "JavaScript Magic" trotzdem nochmal probiert. Das
aktuelle de-AT XPI Language Pack 2001-10-27-05 enthält diese neuen Geschichten.
Ich hoffe, damit ist der bug FIXED. (Bitte wieder mal REOPEN, wenn er noch da ist)

Ich habe derzeit keine deutschsprachigen Meldungen drinnen, weil ich nicht
sicher bin, wie ich in einem alert() die Umlaute kodieren muss. Außerdem ist
normalerweise noch die englische Umgebung installiert, wenn jemand das XPI
aufruft...
Status: REOPENED → RESOLVED
Last Resolved: 16 years ago16 years ago
Resolution: --- → FIXED

Comment 10

16 years ago
Ich hatte diese Meldung, ohne dass ich jemals Quicklaunch aktiviert gehabt
hätte. Ich werde es trotzdem mal mit einem neueren Build ausprobieren und je
nach Resultat verfyfien/reopen.

Comment 11

16 years ago
funktioniert
Status: RESOLVED → VERIFIED
You need to log in before you can comment on or make changes to this bug.